EQ2Interface.com
Search Downloads


Go Back   EQ2Interface > Featured Projects > DarqUI

Reply
Thread Tools Search this Thread Display Modes
  #1  
Unread 07-24-2021, 07:35 AM
DanielCoffey's Avatar
DanielCoffey DanielCoffey is offline
A Young Mystail Rat
 
Join Date: Jan 2021
Server: Antonia Bayle
Posts: 6
Default Using DarqUI Unified on Linux?

I appreciate there was a question in June about using DarqUI on Linux without the installer but I am wondering what is needed to actually get the Updater to work properly?

Since it does seem that there are Linux versions of .NET 4.x and we have Wine, what stumbling blocks have there been in the past when folks have tried this?

I should add I am not an expert in Linux - I am merely considering a move from Windows since my desktop is not on the supported list for Win11. I will be considering a move to a distro dependent on Ubuntu.

I am aware that the Steam version of EQ2 itself works fine but I am not wanting to lose access to DarqUI and the convenience of having a tool to check for updates.
Reply With Quote
  #2  
Unread 07-25-2021, 07:09 AM
Darqwood's Avatar
Darqwood Darqwood is offline
A Griffon
Interface Author - Click to view interfaces
 
Join Date: Aug 2005
Posts: 857
Default

I'm working with a Darq Side member right now who is using DarqUI on EQII on Steam on Linux. He is getting updates through the utility without any trouble. At this point his only unresolved issue is an error when changing color themes and fonts, but he is able to copy files manually through the OS to make theme changes.

The good news is that Microsoft says Windows 10 will be supported officially through October 2025, and they usually extend security support for a couple of years beyond an OS version's end-of-life date. So we should have plenty of time to migrate.



.
Reply With Quote
  #3  
Unread 07-25-2021, 07:48 AM
DanielCoffey's Avatar
DanielCoffey DanielCoffey is offline
A Young Mystail Rat
 
Join Date: Jan 2021
Server: Antonia Bayle
Posts: 6
Default

Thank you for letting me know the app should function under Linux. That is one more item ticked off the list before I move over.

If I have difficulty getting it working I will pop back in and ask.
Reply With Quote
  #4  
Unread 11-25-2021, 03:01 PM
LadyGrelka's Avatar
LadyGrelka LadyGrelka is offline
A Brown Bear
 
Join Date: Jun 2005
Server: Antonia Bayle
Posts: 12
Default

Quote:
Originally Posted by Darqwood View Post
I'm working with a Darq Side member right now who is using DarqUI on EQII on Steam on Linux. He is getting updates through the utility without any trouble. At this point his only unresolved issue is an error when changing color themes and fonts, but he is able to copy files manually through the OS to make theme changes.

The good news is that Microsoft says Windows 10 will be supported officially through October 2025, and they usually extend security support for a couple of years beyond an OS version's end-of-life date. So we should have plenty of time to migrate.



.
Would you by chance know the steps that where taken to install and get the UI to work on Linux through Steam? I do not see a post here about HOW to get this UI working on LInux and to run through Steam, but if I missed it please point it out.
Reply With Quote
  #5  
Unread 11-26-2021, 07:52 AM
Darqwood's Avatar
Darqwood Darqwood is offline
A Griffon
Interface Author - Click to view interfaces
 
Join Date: Aug 2005
Posts: 857
Default

I would love to be able to offer a guidance page for installing EQII and DarqUI on Linux, but there are so many combinations of PC specs, Linux, Wine, etc. that it seems like each install is unique. Players I have spoken with have had varying success with Ubuntu, Fedora, POP!_OS, Winetricks, Lutris, PlayOnLinux, the list goes on. But never two installations with the same combination. I sent you a PM on this website with something you might want to try.


.
Reply With Quote
  #6  
Unread 11-26-2021, 02:48 PM
LadyGrelka's Avatar
LadyGrelka LadyGrelka is offline
A Brown Bear
 
Join Date: Jun 2005
Server: Antonia Bayle
Posts: 12
Default

Quote:
Originally Posted by Darqwood View Post
I would love to be able to offer a guidance page for installing EQII and DarqUI on Linux, but there are so many combinations of PC specs, Linux, Wine, etc. that it seems like each install is unique. Players I have spoken with have had varying success with Ubuntu, Fedora, POP!_OS, Winetricks, Lutris, PlayOnLinux, the list goes on. But never two installations with the same combination. I sent you a PM on this website with something you might want to try.


.
Makes since. I will take a look at the website you sent me.
Reply With Quote
  #7  
Unread 11-27-2021, 01:24 PM
dreameh dreameh is offline
A Coastal Crab
 
Join Date: Nov 2021
Server: Unkown
Posts: 1
Default

Quote:
Originally Posted by Darqwood View Post
I would love to be able to offer a guidance page for installing EQII and DarqUI on Linux, but there are so many combinations of PC specs, Linux, Wine, etc. that it seems like each install is unique. Players I have spoken with have had varying success with Ubuntu, Fedora, POP!_OS, Winetricks, Lutris, PlayOnLinux, the list goes on. But never two installations with the same combination. I sent you a PM on this website with something you might want to try.


.
After having tried multiple distros and playing Everquest 2 on all of them, and getting the UI installed each time.

The easiest way is to use Lutris, then using the wine prefix where you have installed EQ2, you just launch the DarqUI Unified executable file, and select the correct folder as per usual.

Then you can launch the specific executable each time you wanna do changes or update.

there's only one thing which do not work, which is to activate the patreon features.
Reply With Quote
  #8  
Unread 11-27-2021, 02:23 PM
Darqwood's Avatar
Darqwood Darqwood is offline
A Griffon
Interface Author - Click to view interfaces
 
Join Date: Aug 2005
Posts: 857
Default

That's good information, thank you dreameh! If I can get past this expansion I'm looking forward to getting back to my Linux experiments. We have some great Linux EQ2'ers in the Darq Side chat (including you) who have patiently walked through their configurations with me. Hopefully we can get to a combination using Lutris that will work for most. Don't worry about the premium key, I have a feeling I know exactly what the issue is from previous experience. Will talk with you about it. Thanks!


.
Reply With Quote
  #9  
Unread 08-17-2022, 06:14 PM
holtdoa holtdoa is offline
A Coastal Crab
 
Join Date: May 2005
Server: Antonia Bayle
Posts: 1
Default

Quote:
Originally Posted by Darqwood View Post
I would love to be able to offer a guidance page for installing EQII and DarqUI on Linux, but there are so many combinations of PC specs, Linux, Wine, etc. that it seems like each install is unique. Players I have spoken with have had varying success with Ubuntu, Fedora, POP!_OS, Winetricks, Lutris, PlayOnLinux, the list goes on. But never two installations with the same combination. I sent you a PM on this website with something you might want to try.


.
Could you send me that info too? Thanks in advance
Reply With Quote
  #10  
Unread 08-19-2022, 07:08 AM
Darqwood's Avatar
Darqwood Darqwood is offline
A Griffon
Interface Author - Click to view interfaces
 
Join Date: Aug 2005
Posts: 857
Default

Message sent!
Reply With Quote
  #11  
Unread 04-15-2024, 12:11 PM
dragna dragna is offline
A Coastal Crab
 
Join Date: Mar 2005
Server: Antonia Bayle
Posts: 1
Default

I know this is an old thread, but I've made the jump to Zorin OS and have been discovering neat workarounds. Lutris to me has been very hit or miss on any sort of consistency with compatibility.

I've had a lot more luck with Steam and Proton (and in some cases games play better through Proton than they had on windows). I usually default to Proton Experimental, but looks like DarqUI functions perfectly under Proton 7.

Add a non-steam game like you normally would, and then once added go to Settings -> Properties -> Compatibility. Here check "Force the use of a specific Steam Play compatibility tool" and in the drop-down select Proton 7.0-6. It'll download the 7.0-6 libraries and then you'll have to drill about to find where your EQ2 install is, but the rest works as expected.

I haven't encountered a single error and all themes installed fine as well as EQ2Map updates. I don't really think this is a Zorin OS specific run through either, the Proton compat. stuff within Steam seems to be distro agnostic and kind of a miracle for gamers on Linux. Hopefully this helps others running into issues with DarqUI on linux as it's genuinely the only real UI option for EQ2 right now.
Reply With Quote
Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 07:15 AM.


Our Network
EQInterface | EQ2Interface | WoWInterface | LoTROInterface | ESOUI | MMOUI